# Turbo Twitter Bot Marketing System Configuration
# -------------------------------------------------

# Global settings
turbo:
  name: "Turbo"
  url: "turbo.luckyst.trade"
  description: "BTC 5min prediction market on Monad"
  mention_probability: 0.15  # 10-20% chance of mentioning Turbo per tweet

posting:
  daily_post_probability: 0.70  # 70% chance each bot posts on a given day
  tweets_per_day:
    min: 1
    max: 2
  schedule_windows_utc:
    - "09:00-11:00"
    - "14:00-16:00"
    - "19:00-21:00"

# Content styles (each persona rotates through these)
styles:
  - motivational
  - technical
  - educational

# Persona definitions
personas:
  turbo_alpha:
    name: "TurboAlpha"
    handle: "@TurboAlpha"
    bio: "Trading mindset. Market discipline. Edge-first thinking."
    specialty: "Inspirational trading quotes, mindset posts"
    hashtags:
      - "#TradingMindset"
      - "#MarketEdge"
      - "#DisciplinedTrader"
      - "#TradingPsychology"
      - "#BTC"
    env_prefix: "TWITTER_BOT1"

  five_min_edge:
    name: "5MinEdge"
    handle: "@5MinEdge"
    bio: "Short-timeframe strategy. Risk management. Practical trading tips."
    specialty: "Trading tips, strategy advice, risk management"
    hashtags:
      - "#TradingTips"
      - "#RiskManagement"
      - "#ShortTermTrading"
      - "#TradingStrategy"
      - "#BTC"
    env_prefix: "TWITTER_BOT2"

  algo_turbo:
    name: "AlgoTurbo"
    handle: "@AlgoTurbo"
    bio: "Algorithmic trading ideas. Automation. Quantitative edge."
    specialty: "Trading bot ideas, algo strategies, automation"
    hashtags:
      - "#AlgoTrading"
      - "#TradingBots"
      - "#QuantTrading"
      - "#Automation"
      - "#BTC"
    env_prefix: "TWITTER_BOT3"

  btc_pulse:
    name: "BTCPulse5m"
    handle: "@BTCPulse5m"
    bio: "BTC market commentary. 5-minute reads. Real-time pulse."
    specialty: "BTC market commentary, 5-min market calls"
    hashtags:
      - "#BTC"
      - "#Bitcoin"
      - "#CryptoMarkets"
      - "#MarketPulse"
      - "#5MinChart"
    env_prefix: "TWITTER_BOT4"

  predictoor_dao:
    name: "PredictoorDAO"
    handle: "@PredictoorDAO"
    bio: "Prediction market education. DeFi mechanics. Market design."
    specialty: "Prediction market education, DeFi explainers"
    hashtags:
      - "#PredictionMarkets"
      - "#DeFi"
      - "#MarketDesign"
      - "#Crypto"
      - "#Monad"
    env_prefix: "TWITTER_BOT5"

# Database
database:
  path: "tweets.db"
